#include "display.h"
#include "drawtest.h"
void draw_test(void)
{
  unsigned char i,j;
  led_clear();
  // Draw a square
  leds[0]=0xff;
  leds[7]=0xff;
  for(i=1;i<7;i++)
    leds[i]=0x81;
  // Wait 5 seconds
  delay(5000);
  // Moving line
  for(i=0;i<8;i++)
  {
    led_clear();
    leds[i]=0xff;
    delay(800);
  }
  for(i=6;i;i--)
  {
    led_clear();
    leds[i]=0xff;
    delay(800);
  }
  // Test fill from 0,0 to 7,7
  led_clear();
  for(i=0;i<8;i++)
    for(j=0;j<8;j++)
    {
      // Set bit j on row i
      leds[i]|=1<<j;
      delay(800);
    }
}
void led_clear(void)
{
  unsigned char i;
  for (i=0;i<8;i++)
    leds[i]=0;
}
